Last Comment Bug 350688 - Dictionaries should form part of the locale pack in the installer
: Dictionaries should form part of the locale pack in the installer
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Mark Banner (:standard8, limited time in Dec)
: installer
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 03:50 PDT by Mark Banner (:standard8, limited time in Dec)
Modified: 2006-11-08 09:07 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Unix installer patch. (5.08 KB, patch)
2006-09-01 08:30 PDT, Mark Banner (:standard8, limited time in Dec)
no flags Details | Diff | Splinter Review
Unix installer patch (checked in) (6.23 KB, patch)
2006-09-01 08:32 PDT, Mark Banner (:standard8, limited time in Dec)
ajschult: review+
neil: superreview+
Details | Diff | Splinter Review
Windows installer patch (checked in) (4.81 KB, patch)
2006-09-01 08:35 PDT, Mark Banner (:standard8, limited time in Dec)
neil: review+
neil: superreview+
Details | Diff | Splinter Review
os2 installer patch (checked in) (4.74 KB, patch)
2006-09-01 08:41 PDT, Mark Banner (:standard8, limited time in Dec)
ajschult: review+
neil: superreview+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, limited time in Dec) 2006-08-30 03:50:04 PDT
In the SeaMonkey installer we currently have the dictionaries and spellcheck components as one optional spellcheck installation selection. Robert commented on IRC that we should install the dictionaries with the locale xpi, and spellcheck as part of the browser xpi by default, as per FF & TB. The currently installed dictionary is approx 680kb in size so there isn't really much of a space saving by not installing it.
 
I think this is reasonable now that the spellcheck is used a lot more within the suite.
Comment 1 Mark Banner (:standard8, limited time in Dec) 2006-09-01 08:30:19 PDT
Created attachment 236399 [details] [diff] [review]
Unix installer patch.
Comment 2 Mark Banner (:standard8, limited time in Dec) 2006-09-01 08:32:40 PDT
Created attachment 236401 [details] [diff] [review]
Unix installer patch (checked in)

Missed a file.
Comment 3 Mark Banner (:standard8, limited time in Dec) 2006-09-01 08:35:26 PDT
Created attachment 236403 [details] [diff] [review]
Windows installer patch (checked in)
Comment 4 Mark Banner (:standard8, limited time in Dec) 2006-09-01 08:41:57 PDT
Created attachment 236404 [details] [diff] [review]
os2 installer patch (checked in)
Comment 5 Mark Banner (:standard8, limited time in Dec) 2006-09-08 05:36:20 PDT
I'm planning on checking this in on trunk today. I think it may start the nagios system complaining, so cc'ing some relevant people. The lines highlighted in the file from the link below will need removing if there are warnings given. As it isn't part of the main build system I didn't know if I should be providing a patch or not.

http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/tools/tinderbox-configs/monitoring/Seamonkey_trunk.txt&rev=1.2&mark=5,17
Comment 6 Mark Banner (:standard8, limited time in Dec) 2006-09-08 09:40:00 PDT
Comment on attachment 236404 [details] [diff] [review]
os2 installer patch (checked in)

I've not tested this as I don't have os2, but this is done in a similar way to the unix and windows patches on this bug.
Comment 7 Frank Wein [:mcsmurf] 2006-09-08 15:26:23 PDT
The Windows patch seems to work fine, the spell check program files ended up in browser.xpi, the dictionaries in langenus.xpi.
BTW: The packages-win part of the patch had some fuzz:
Hunk #1 succeeded at 38 (offset 1 line).
Hunk #2 succeeded at 189 (offset 14 lines).
Hunk #3 succeeded at 415 with fuzz 1 (offset 36 lines).
It applied cleanly anyway.
Comment 8 Mark Banner (:standard8, limited time in Dec) 2006-09-09 00:53:45 PDT
Comment on attachment 236403 [details] [diff] [review]
Windows installer patch (checked in)

Thanks to Frank for the testing, requesting reviews.
Comment 9 Mark Banner (:standard8, limited time in Dec) 2006-10-31 13:24:23 PST
ping Michael: any chance of a review on the os2 installer patch sometime?
Comment 10 Mark Banner (:standard8, limited time in Dec) 2006-11-07 07:55:09 PST
Comment on attachment 236404 [details] [diff] [review]
os2 installer patch (checked in)

I'm guessing Michael's away or busy, therefore switching review to Andrew.
Comment 11 Mark Banner (:standard8, limited time in Dec) 2006-11-08 09:06:51 PST
Comment on attachment 236404 [details] [diff] [review]
os2 installer patch (checked in)

os2 patch checked in.

Note You need to log in before you can comment on or make changes to this bug.